Bug 173839 - [patch] upgrade graphics/lwjgl to 2.8.5
Summary: [patch] upgrade graphics/lwjgl to 2.8.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-22 17:40 UTC by 4721@hushmail.com
Modified: 2012-11-26 12:13 UTC (History)
0 users

See Also:


Attachments
file.diff (13.01 KB, patch)
2012-11-22 17:40 UTC, 4721@hushmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4721@hushmail.com 2012-11-22 17:40:00 UTC
removed files:
D       games/lwjgl/files/patch-platform_build__build-applet.xml
D       games/lwjgl/files/patch-src__java__org__lwjgl__MacOSXSysImplementation.java
D       games/lwjgl/files/patch-src__java__org__lwjgl__opengl__MacOSXDisplay.java

* update port to latest version
* remove several unnecessary patches by fixing build failure in a better way
* add LICENSE
* obey PREFIX

Fix: Patch attached with submission follows:
Comment 1 Chris Rees freebsd_committer 2012-11-25 19:36:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees freebsd_committer 2012-11-26 12:13:41 UTC
State Changed
From-To: open->closed

Committed. Thanks!